Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# pvlogger_c.h File Reference

This file contains basic logger interfaces for common use across platforms. C-callable version. More...

`#include "osclconfig.h"`

Go to the source code of this file.

## Defines
#define | PVLOGGER_C_INST_LEVEL 5
#define | PVLOGMSG_C_INST_REL 0
#define | PVLOGMSG_C_INST_PROF 1
#define | PVLOGMSG_C_INST_HLDBG 2
#define | PVLOGMSG_C_INST_MLDBG 3
#define | PVLOGMSG_C_INST_LLDBG 4
#define | PVLOGMSG_C_EMERG 0
#define | PVLOGMSG_C_ALERT 1
#define | PVLOGMSG_C_CRIT 2
#define | PVLOGMSG_C_ERR 3
#define | PVLOGMSG_C_WARNING 4
#define | PVLOGMSG_C_NOTICE 5
#define | PVLOGMSG_C_INFO 6
#define | PVLOGMSG_C_STACK_TRACE 7
#define | PVLOGMSG_C_STACK_DEBUG 8
## Functions
OSCL_IMPORT_REF void * | pvLogger_GetLoggerObject (const char *tag)
OSCL_IMPORT_REF int | pvLogger_IsActive (void *logger, int log_level)
OSCL_IMPORT_REF void | pvLogger_LogMsgString (void *logger, int msgID, const char *fmt,...)

## Detailed Description

This file contains basic logger interfaces for common use across platforms. C-callable version.

This is the main entry point header file for the logger library. It should be the only one users directly include.

## Define Documentation

#define PVLOGGER_C_INST_LEVEL 5

#define PVLOGMSG_C_ALERT 1

#define PVLOGMSG_C_CRIT 2

#define PVLOGMSG_C_EMERG 0

#define PVLOGMSG_C_ERR 3

#define PVLOGMSG_C_INFO 6

#define PVLOGMSG_C_INST_HLDBG 2

#define PVLOGMSG_C_INST_LLDBG 4

#define PVLOGMSG_C_INST_MLDBG 3

#define PVLOGMSG_C_INST_PROF 1

#define PVLOGMSG_C_INST_REL 0

#define PVLOGMSG_C_NOTICE 5

#define PVLOGMSG_C_STACK_DEBUG 8

#define PVLOGMSG_C_STACK_TRACE 7

#define PVLOGMSG_C_WARNING 4

## Function Documentation

OSCL_IMPORT_REF void* pvLogger_GetLoggerObject | ( | const char * | tag | ) |

OSCL_IMPORT_REF int pvLogger_IsActive | ( | void * | logger,
|  | int | log_level
| ) |

OSCL_IMPORT_REF void pvLogger_LogMsgString | ( | void * | logger,
|  | int | msgID,
|  | const char * | fmt,
|  | ... |
| ) |